#ifndef XOPERANDINTERNALDATAUNION_H
#define XOPERANDINTERNALDATAUNION_H

#include "xasset.h"

#include <QString>

class XOperandInternalDataUnion : public XAsset
{
public:
    explicit XOperandInternalDataUnion();
    ~XOperandInternalDataUnion();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    int mIntVal;
    float mFloatVal;
    QString mString;
};

#endif // XOPERANDINTERNALDATAUNION_H
